#include <bits/stdc++.h>
using namespace std;

const long long MX=3e5+10;
int a[MX],b[MX];
int n;

bool chk()
{
    for(int i=1;i<n-1;i++)
    {
        if((b[i-1]+b[i+1])<(2*b[i]))
        {
            return 0;
        }
    }

    return 1;
}

void fun()
{
    cin>>n;

    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }

    for(int i=(1<<n)-1;i>=0;i--)
    {
        int k1=0;
        for(int j=0;j<n;j++)
        {
            if((1<<j)&i)
            {
                b[k1]=a[j];
                k1++;
            }
        }

        int k0=k1;
        for(int j=0;j<n;j++)
        {
            if(!((1<<j)&i))
            {
                b[k0]=a[j];
                k0++;
            }
        }

        sort(b,b+k1);
        reverse(b,b+k1);
        sort(b+k1,b+1+n);

        if(chk())
        {
            cout<<"YES\n";
            return;
        }
    }

    cout<<"NO\n";
    return;
}
int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);

    int t;
    cin>>t;

    while(t--)
    {
        fun();
    }

    return 0;
}